Magento 2.0.18 is the final 2.0.x release. After March 2018, Magento 2.0.x will no longer receive security patches, quality fixes, or documentation updates.
To maintain your site's performance, security, and PCI compliance, upgrade to the latest version of Magento.

Installation dependencies not met

Details

This topic applies to you only if you cloned the Magento 2 GitHub repository.

Errors similar to the following display when you run the Web Setup Wizard:

 Magento\Framework\Exception
 Command returned non-zero exit code:
`/usr/bin/php5 -f '/var/www/magento2/dev/shell/run_data_fixtures.php' -- --bootstrap='MAGE_DIRS[base][path]=/var/www/magento2' 2>&1`

[other errors]

  Exception

   PHP
 Fatal error:  Class 'Magento\Framework\Stdlib\DateTime\TimezoneInterface' not found in /var/www/magento2/app/bootstrap.php on line 56
Dependencies not installed. Please run 'composer install' under /setup directory.
Whoops, it looks like setup tool dependencies are not installed.
`/usr/bin/php -f '/var/www/html/magento2/dev/shell/run_data_fixtures.php' -- --bootstrap='MAGE_DIRS[base][path]=/var/www/html/magento2' 2>&1`
 Exception
 PHP Fatal error:  Class 'Magento\Framework\Stdlib\DateTime\TimezoneInterface' not found in /var/www/html/magento2/app/bootstrap.php on line 56

If the Web Setup Wizard stops, informs you that the installation is incomplete, but does not display an error in the console log, the likely cause is you did not run composer install from the <your Magento install dir>/setup directory.

The entire message is Installation is incomplete. Check the console log for errors before trying again.

Description

You must run composer install from both the <your Magento install dir> and <your Magento install dir>/setup directories before installer.

Suggestion

Run composer install from both of the preceding directories and try the installation again.